Upstream information

CVE-2018-16843 at MITRE

Description

nginx before versions 1.15.6 and 1.14.1 has a vulnerability in the implementation of HTTP/2 that can allow for excessive memory consumption. This issue affects nginx compiled with the ngx_http_v2_module (not compiled by default) if the 'http2' option of the 'listen' directive is used in a configuration file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.8
Vector AV:N/AC:L/Au:N/C:N/I:N/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3
SUSE Bugzilla entries: 1115022 [RESOLVED / FIXED], 1115025 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP1-CAP-Deployment-BYOS-EC2-HVM
Image SLES15-SP1-CAP-Deployment-BYOS-GCE
  • nginx >= 1.14.2-6.3.1
SUSE Enterprise Storage 6
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Server Applications 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • nginx >= 1.14.2-6.3.1
  • nginx-source >= 1.14.2-6.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2019-2309
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Server Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • nginx >= 1.19.8-1.1
  • nginx-source >= 1.19.8-1.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA nginx-1.19.8-1.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Server Applications 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • nginx >= 1.16.1-1.21
  • nginx-source >= 1.16.1-1.21
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP2 GA nginx-1.16.1-1.21
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • nginx >= 1.21.5-150400.1.8
  • nginx-source >= 1.21.5-150400.1.8
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA nginx-1.21.5-150400.1.8
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Server Applications 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • nginx >= 1.14.2-3.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2019-334
SUSE Package Hub 12
  • nginx >= 1.14.2-16.1
  • vim-plugin-nginx >= 1.14.2-16.1
Patchnames:
openSUSE-2019-195
openSUSE Leap 15.0
  • nginx >= 1.14.2-lp150.2.4.1
  • vim-plugin-nginx >= 1.14.2-lp150.2.4.1
Patchnames:
openSUSE-2019-195
openSUSE Leap 15.1
  • nginx >= 1.14.2-lp151.4.3.1
  • nginx-source >= 1.14.2-lp151.4.3.1
  • vim-plugin-nginx >= 1.14.2-lp151.4.3.1
Patchnames:
openSUSE-2019-2120
openSUSE Tumbleweed
  • nginx >= 1.21.3-1.4
  • nginx-source >= 1.21.3-1.4
  • vim-plugin-nginx >= 1.21.3-1.4
Patchnames:
openSUSE Tumbleweed GA nginx-1.21.3-1.4


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 nginx Affected
SUSE Enterprise Storage 6 nginx Released
SUSE Enterprise Storage 7.1 nginx Already fixed
SUSE Lifecycle Management Server 1.3 nginx-1.0 Not affected
SUSE Linux Enterprise High Performance Computing 15 nginx Released
SUSE Linux Enterprise High Performance Computing 15 SP1 nginx Released
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS nginx Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS nginx Affected
SUSE Linux Enterprise High Performance Computing 15 SP3 nginx Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS nginx Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS nginx Affected
SUSE Linux Enterprise Module for Server Applications 15 nginx Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 nginx Released
SUSE Linux Enterprise Module for Server Applications 15 SP3 nginx Already fixed
SUSE Linux Enterprise Real Time 15 SP3 nginx Already fixed
SUSE Linux Enterprise Server 15 nginx Released
SUSE Linux Enterprise Server 15 SP1 nginx Released
SUSE Linux Enterprise Server 15 SP1-BCL nginx Affected
SUSE Linux Enterprise Server 15 SP1-LTSS nginx Affected
SUSE Linux Enterprise Server 15 SP3 nginx Already fixed
SUSE Linux Enterprise Server 15-ESPOS nginx Affected
SUSE Linux Enterprise Server 15-LTSS nginx Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 nginx Affected
SUSE Linux Enterprise Server for SAP Applications 15 nginx Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nginx Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 nginx Already fixed
SUSE Manager Proxy 4.0 nginx Released
SUSE Manager Proxy 4.2 nginx Already fixed
SUSE Manager Retail Branch Server 4.0 nginx Released
SUSE Manager Retail Branch Server 4.2 nginx Already fixed
SUSE Manager Server 4.0 nginx Released
SUSE Manager Server 4.2 nginx Already fixed
SUSE Package Hub 12 nginx Released
SUSE Studio Onsite 1.3 nginx-1.0 Not affected
suse/rmt-nginx nginxAlready fixed


SUSE Timeline for this CVE

CVE page created: Wed Nov 7 09:48:54 2018
CVE page last modified: Wed Dec 7 16:40:00 2022